import { StackableGridProps } from "./stackable"
import { stackableGridVariants } from "./variants"

export default function Stackable({
  children,
  className,
  columns,
}: React.PropsWithChildren<StackableGridProps>) {
  const classNames = stackableGridVariants({ className, columns })
  return <section className={classNames}>{children}</section>
}
